%global _source_filedigest_algorithm 1
%global _binary_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%global spice_data_dir  %{_datadir}/spice


Name: rhevm-spice-client
Version: 3.3
Release: 12%{?dist}
License: GPLv2+
Summary: Spice Client MSI for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/

Source0: usbclerk-x64-0.3.3.msi
Source1: spice-client-msi-3.3-12-spec.zip
Source2: SpiceX_x64.cab
Source3: SpiceX_x86.cab
Source4: SpiceVersion.txt
Source5: virt-viewer-x86-0.5.6.msi
Source6: usbclerk-x86-0.3.3.msi
Source7: spice-client-msi-3.3-12-sources.zip
Source8: virt-viewer-x64-0.5.6.msi

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: rhevm >= 3.1.0

%description
Spice client MSI for Red Hat Enterprise Virtualization Manager

%package x86-cab
Summary: Spice client 32bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x86-cab
The 32bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%package x64-cab
Summary: Spice client 64bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x64-cab
The 64bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%package x86-msi
Summary: Spice client 32bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x86-msi
The 32bit Spice Client MSI for Red Hat Enterprise Virtualization Manager

%package x64-msi
Summary: Spice client 64bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x64-msi
The 64bit Spice Client MSI for Red Hat Enterprise Virtualization Manager


%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{spice_data_dir}


/bin/cp %{SOURCE0} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE2} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE3} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE4} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE5} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE6} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE8} %{buildroot}%{spice_data_dir}/

mv %{buildroot}%{spice_data_dir}/{SpiceX_x86.cab,SpiceX.cab}
cp %{buildroot}%{spice_data_dir}/SpiceVersion{,_x64}.txt

# rhbz#1010211 -- rename msi files to format <name>-<arch>.msi (remove version)
pushd  %{buildroot}%{spice_data_dir}/
mv virt-viewer-x64*.msi virt-viewer-x64.msi
mv virt-viewer-x86*.msi virt-viewer-x86.msi
mv usbclerk-x64*.msi usbclerk-x64.msi
mv usbclerk-x86*.msi usbclerk-x86.msi
popd
 
%clean
rm -rf %{buildroot}

%files x64-cab
%defattr(0644,root,root,0755)
%{spice_data_dir}/SpiceX_x64.cab
%{spice_data_dir}/SpiceVersion_x64.txt

%files x86-cab
%defattr(0644,root,root,0755)
%{spice_data_dir}/SpiceX.cab
%{spice_data_dir}/SpiceVersion.txt

%files x64-msi
%defattr(0644,root,root,0755)
%{spice_data_dir}/virt-viewer-x64.msi
%{spice_data_dir}/usbclerk-x64.msi

%files x86-msi
%defattr(0644,root,root,0755)
%{spice_data_dir}/virt-viewer-x86.msi
%{spice_data_dir}/usbclerk-x86.msi

%changelog
* Mon Apr 14 2014 Uri Lublin <uril@redhat.com> - 3.3-12
- mingw-virt-viewer 0.5.6-22
- Pick up a fix for CVE-2014-0160. rhbz#1086184

* Thu Mar 06 2014 Uri Lublin <uril@redhat.com> - 3.3-11
- mingw-virt-viewer 0.5.6-20
- Fix guest not resized on entering full-screen. rhbz#1072968
- spicex-win-3.3.11
- spicex: Load: Fix again, for "Enhanced Protected Mode" case. rhbz#1067449

* Mon Feb 24 2014 Uri Lublin <uril@redhat.com> - 3.3-10
- mingw-virt-viewer 0.5.6-19 (unchanged)
- spicex-win-3.3.10
- spicex: Load: be more careful with pVar - fix a IE11 crash. rhbz#1067449

* Tue Feb 18 2014 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.3-9
- mingw-virt-viewer 0.5.6-19
- Sometimes, unable to copy&paste from Windows client. rhbz#1064939

* Wed Jan  8 2014 Uri Lublin <uril@redhat.com> - 3.3-8
- mingw-virt-viewer 0.5.6-18
- Add missing "secure-attention" hotkey config, again. rhbz#1023447

* Sun Dec 22 2013 Uri Lublin <uril@redhat.com> - 3.3-7
- mingw-virt-viewer 0.5.6-16
- mingw-usbclerk-0.3.3-2
- Add missing "secure-attention" hotkey config. rhbz#1023447 (virt-viewer)
- MSI: set Interactive flag when installing the service rhbz#1038289 (usbclerk)
- Add license files to MSI (usbclerk)

* Wed Nov 20 2013 Uri Lublin <uril@redhat.com> - 3.3-6
- mingw-virt-viewer 0.5.6-15
- mingw-spice-gtk-0.20-5
- mingw-usbclerk-0.3.3-1
- Too many windows open with fullscreen=auto-conf. rhbz#985898
- Two full-screen windows on the one screen (same fix as in RHEL6). rhbz#872288
- Allow higher-than-native resolution in fullscreen mode.  rhbz#1021618
- Leave fullscreen on current window. rhbz#1017909
- Increase contrast of cursor for PuTTY. Fixes: rhbz#1002697
- Fix g_main_loop_is_running() assertion. Fixes: rhbz#1017302
- Fix MSI upgrade (rhbz#984136 + rhbz#984137)
- Un-Obsolete msi packages, add BuildRequires for required packages.

* Wed Oct 23 2013 Uri Lublin <uril@redhat.com> - 3.3-5
- mingw-virt-viewer 0.5.6-8
- mingw-spice-gtk-0.20-3
- mingw-usbclerk-0.0.1.1-3
- Rename msi files in format <name>-<arch>.msi. rhbz#1010211
- NSIS installer - compare versions and install only if needed. rhbz#857038
- Hotkeys: send modifiers before non-modifier keys. rhbz#846006
- Add keyboard binding to send CAD. rhbz#1004440
- Missing sqlite dll in MSI. rhbz#1014089
- Fix default window size when leaving fullscreen. rhbz#978362
- Fix alt-tab regression. Fixes: rhbz#986027 and rhbz#873341

* Wed Aug 14 2013 Uri Lublin <uril@redhat.com> - 3.3-4
- mingw-virt-viewer 0.5.6-4
- mingw32-spice-gtk-0.20-2
- mingw-usbclerk-0.0.1.1-3
- usb: request for driver uninstall only for driver that were installed. Related: rhbz#919166
- Add CRLF-LF conversion. Related: rhbz#1000125
- Pass the right ptr to destroy. Related: rhbz#997893
- (mingw-0.5.6-3:)
- Does not respect auto configuration of monitors. Resolves: rhbz#967154
- Two monitors are in fullscreen at only one screen. Resolves: rhbz#872288
- Do not restrict disabling display to != 0. Resolves: rhbz#958550
- Allow to fullscreen and position display independently. Resolves: rhbz#558241
- Auto-add Hot Key combos to "Send key" menu. Resolves: rhbz#846006

* Wed Aug 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.3-3
- Fixes some usbclerk installation issues.

* Sun Jul 28 2013 Uri Lublin <uril@redhat.com> - 3.3-2
- mingw-virt-viewer 0.5.6-2
- providing msi packages again (virt-viewer and usbclerk)
- cab files install SpiceX.dll directly.

* Fri Jun 21 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-13
- mingw-virt-viewer 0.5.3-28

* Fri Jun 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-12
- mingw-virt-viewer 0.5.3-27

* Tue Jun 11 2013 Uri Lublin <uril@redhat.com> - 3.2-11
- mingw-virt-viewer 0.5.3-26

* Fri Apr 26 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-10
- mingw-virt-viewer 0.5.3-25

* Tue Apr  9 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-8
- mingw-virt-viewer 0.5.3-24

* Wed Mar 27 2013 Uri Lublin <uril@redhat.com> - 3.2-7
- Based on mingw-virt-viewer-0.5.3-23 (and spicex-3.2-7)
- Bugs fixed: 752483 857114 866418 873298 906560 912713
              916810 918342 918997 919530 922818 923894
			  924006 924476 927882

* Sun Mar 17 2013 Uri Lublin <uril@redhat.com> - 3.2-6
- Rebuild -- keep mingw-virt-viewer-0.5.3-22 (and spicex-3.2-5)

* Thu Mar 14 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-5
- Rebuild with spice-gtk libcacard fix

* Tue Mar 12 2013 Marc-Andre Lureau <marcandre.lureau@redhat.com> - 3.2-3
- Add libcacard support (related to #866418)
- Fix mouse cursor offset #912793
- Fix resolution changing loop #912703
- Fix "Unable to connect to the graphic server" error #913080
- Fix  All "windows" have the same resolution #913206

* Fri Feb 15 2013 Uri Lublin <uril@redhat.com> - 3.2-2
- Add closing dialog (virt-viewer)
- Silence usbclerk installation (virt-viewer installer)
- send CONTROLLER_SEND_CAD to the client (spice-x)
- Based on mingw-virt-viewer-0.5.3-20
- Bugs fixed: 803912 872200 752093

* Tue Feb 12 2013 Uri Lublin <uril@redhat.com> - 3.2-1
- New Features include:
  + Spice seamless migration
  + Multi-monitor support single qxl for Linux guests
  + Native USB live migration
  + HTTP Proxy Support
- Based on mingw-virt-viewer-0.5.3-18
- Rebased packages: spice-gtk, spice-protocol, usbredir and more
- SpiceX version is 3.2-1
- Bugs fixed: 905898

* Wed Nov 14 2012 Uri Lublin <uril@redhat.com> - 3.1-8
- Obsolete msi packages.
- Requires rhevm >= 3.1.0
- Delete BuildRequired spicex-* lines
- Get version from Source9
- Bugs fixed: 857119 872640

* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-7
- Bump spicex version.
- Bugs fixed 857430 857389 871125 871562
- Based on mingw-virt-viewer-0.5.3-16

* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-6
- Bug fixes, including 856312, 856317, 856538, 861214, 864033, 869542
- Based on mingw-virt-viewer-0.5.3-14

* Tue Aug 07 2012 Uri Lublin <uril@redhat.com> - 3.1-4
- license files were added to usbclerk.

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-2
- 'rpm -ql' debug commands removed

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-1
- First build for RHEV-M 3.1: many changes including
-   client is now remote-viewer (replacing spicec)
-   Cab files are now located under /usb/share/spice.
-   No msi files are provided.

* Thu Mar 22 2012 Uri Lublin <uril@redhat.com> - 3.0-29
- client/windows (spicec-win): fix sending alt-gr key to guest.
  + handle redundant right ctrl windows message sent when alt-gr is pressed
Resolves: #789375
- spice ActiveX (spicex-win): add logging messages
Resolves: #802395

* Mon Mar 12 2012 Uri Lublin <uril@redhat.com> - 3.0-28
- client/windows (spicec-win): fix SetClipboardViewer error handling
Resolves: #800306

* Sun Jan 15 2012 Uri Lublin <uril@redhat.com> - 3.0-26
- Added changelog
Resolves: #769666
Resolves: #771956

* Tue Jan 10 2012 Uri Lublin <uril@redhat.com> - 3.0-25
- update spice-client menu if needed when exiting full-screen mode
  helps "protect" spice-client menu when in full-screen mode
Resolves: #769666
- foreign-menu: pass "active" param when creating a ForeignMenu
  helps spice-usb "auto-share" mode
Resolves: #771956

* Thu Oct 27 2011 Uri Lublin <uril@redhat.com> - 3.0-21
- spice semi-seamless migration
Resolves: #748972

* Mon Sep 19 2011 Uri Lublin <uril@redhat.com> - 3.0-19
 - Rename user-portal directory prefix from org.nogah to org.ovirt.engine.ui
   to match RHEV-M namespace.
Resolves: #739756

* Mon Jul 18 2011 Arnon Gilboa <agilboa@redhat.com> - deploy a SpiceVersion file within RHEV-M user-portal war #722783 - 3.0-12
* Sun Jul 17 2011 Arnon Gilboa <agilboa@redhat.com> - replace userportal path prefix to org.nogah #721360 - 3.0-11
* Thu Mar 31 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
